Package csb :: Package bio :: Package nmr :: Class ChemShiftScoringModel

[frames] | no frames]

# Class ChemShiftScoringModel

source code

    object --+
             |
            ChemShiftScoringModel

Chemical shift similarity scoring model. See `ScoringModel.NUCLEI` for a list of supported chemical shift types.

Instance Methods

__init__(self) x.__init__(...) initializes x; see help(type(x)) for signature | source code

float or array of floats

negative(self, nucleus, deltas) Return the probability that a given chemical shift difference indicates no structural similarity (true negative match). | source code

float or array of floats

positive(self, nucleus, deltas) Return the probability that a given chemical shift difference indicates structural similarity (true positive match). | source code

float or array of floats

score(self, nucleus, deltas) Return the bit score for a given chemical shift difference. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| NUCLEI = ``(``'``CA``'``,` `'``CB``'``,` `'``C``'``,` `'``N``'``,` `'``HA``'``)``

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### negative(self, nucleus, deltas)

source code

Return the probability that a given chemical shift difference indicates no structural similarity (true negative match).

Parameters:
  - `nucleus` (str) - chemical shift (a member of `ScoringModel.NUCLEI`)
  - `deltas` (float or list of floats) - chemical shift difference(s): q-s
Returns: float or array of floats
  the raw value of the probability density function

### positive(self, nucleus, deltas)

source code

Return the probability that a given chemical shift difference indicates structural similarity (true positive match).

Parameters:
  - `nucleus` (str) - chemical shift (a member of `ScoringModel.NUCLEI`)
  - `deltas` (float or list of floats) - chemical shift difference(s): q-s
Returns: float or array of floats
  the raw value of the probability density function

### score(self, nucleus, deltas)

source code

Return the bit score for a given chemical shift difference.

Parameters:
  - `nucleus` (str) - chemical shift (a member of `ScoringModel.NUCLEI`)
  - `deltas` (float or list of floats) - chemical shift difference(s): q-s
Returns: float or array of floats
  bit score